be.vlaanderen.mercurius.mohm.schemas.v1

## Class DeliveryMobilityToolType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.DeliveryMobilityToolType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:44:44+02:00",
                 comments="JAXB RI v2.2.11")
      public class DeliveryMobilityToolType
      extends Object
      implements Serializable

  Generiek type voor het mobiliteitshulpmiddel in een aflevering.

  Java class for DeliveryMobilityToolType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DeliveryMobilityToolType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="BasicEquipment" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}DeliveryBasicEquipmentType" minOccurs="0"/>
               <element name="Accessory" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}DeliveryAccessoryType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeliveryMobilityToolType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DeliveryAccessoryType>` | `getAccessories()` Gets the value of the accessories property.
    `DeliveryBasicEquipmentType` | `getBasicEquipment()` Gets the value of the basicEquipment property.
    `void` | `setBasicEquipment(DeliveryBasicEquipmentType value)` Sets the value of the basicEquipment property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeliveryMobilityToolType

          public DeliveryMobilityToolType()

  - ### Method Detail

    - #### getBasicEquipment

          public DeliveryBasicEquipmentType getBasicEquipment()

      Gets the value of the basicEquipment property.
      Returns:
        possible object is `DeliveryBasicEquipmentType`

    - #### setBasicEquipment

          public void setBasicEquipment(DeliveryBasicEquipmentType value)

      Sets the value of the basicEquipment property.
      Parameters:
        `value` - allowed object is `DeliveryBasicEquipmentType`

    - #### getAccessories

          public List<DeliveryAccessoryType> getAccessories()

      Gets the value of the accessories property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the accessories property.

      For example, to add a new item, do as follows:

              getAccessories().add(newItem);

      Objects of the following type(s) are allowed in the list `DeliveryAccessoryType`

Connector Packaging TRUSSMAKER 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.